Liferay IDE

Add this URL to your Eclipse Installation to reach this solution's update site.

2019-06 (4.12), 2019-03 (4.11), 2018-12 (4.10), 2018-09 (4.9), Photon (4.8), 2019-09 (4.13), 2019-12 (4.14), 2020-03 (4.15), 2020-06 (4.16), 2020-09 (4.17), 2020-12 (4.18), 2021-03 (4.19)

https://releases.liferay.com/tools/ide/latest/stable/

Learn more...
Solution Description

Liferay IDE provides Eclipse tooling for Liferay development platform for versions 6.2 and 7.0 including support for module development (OSGi) for Liferay Digital Enterprise 7.0 For more information on the latest release of the Liferay IDE see below: https://web.liferay.com/web/gregory.amerson/blog/-/blogs/liferay-ide-3-… Also the main documentation and community information about the Liferay IDE is located on the following page: https://web.liferay.com/community/liferay-projects/liferay-ide/overview

Additional Details

Eclipse Versions: 2019-06 (4.12), 2019-03 (4.11), 2018-12 (4.10), 2018-09 (4.9), Photon (4.8), 2019-09 (4.13), 2019-12 (4.14), 2020-03 (4.15), 2020-06 (4.16), 2020-09 (4.17), 2020-12 (4.18), 2021-03 (4.19)

Platform Support: Windows, Mac, Linux/GTK

Organization Name: Liferay, Inc

Development Status: Production/Stable

Date Created: Tuesday, June 15, 2010 - 17:56

License: LGPL

Date Updated: Friday, January 15, 2021 - 10:14

Submitted by: Greg Amerson

Date Ranking Installs Clickthroughs
June 2024 0/0 0 0
May 2024 141/681 213 149
April 2024 155/687 188 12
March 2024 133/694 282 10
January 2024 157/691 197 9
December 2023 148/671 211 10
November 2023 137/686 285 15
October 2023 130/673 308 18
September 2023 146/663 230 14
August 2023 118/673 308 13
July 2023 132/668 267 11
June 2023 133/669 277 8
View Data for all Listings

Marketplace Drag to Install Button

By adding the following code below to your website you will be able to add an install button for Liferay IDE.

HTML Code:

Markdown Syntax:

Output:

Drag to your running Eclipse* workspace. *Requires Eclipse Marketplace Client

Reviews Add new review

Hi,

 

I am working on Liferay 7.2 DXP  EE Edition. Could you please let me know which version of eclipse is compatbile with it?

 

Thanks!